<!--
/**
 * Author:echo
 * Email:sqlgun@qq.com
 * Date: 2018-7-17
 * 有偿二次开发，邮件联系
 */
-->
<script>

$(function () {
	
	$('#outdocout').datagrid({
		url : '<?php echo $url?>out/docout/get_docout',
		fit : true,
		fitColumns : true,
		striped : true,
		rownumbers : true,
		border : false,
		pagination : true,
	    pageSize:10,
	    pageList: [10, 20, 30,50], 
		toolbar : '#docout_tool',
        singleSelect:true,
		columns : [[
			{
				field : 'docout_id',
				title : '自动编号',
				width : 100,
				checkbox : true,
			},
			{
				field : 'docout_number',
				title : '出库单号',
				width : 100,
			},
			{
				field : 'docout_get_number',
				title : '要货单号',
				width : 100,
			},
			{
				field : 'docout_status',
				title : '出库单状态',
				width : 100,			
			},
			{
				field : 'docout_datetime',
				title : '时间',
				width : 100,				
			}										
		]]
	});



	docout_tool = {
		reload : function () {
			$('#outdocout').datagrid('reload');
		},
		remove : function () {
			$('#outdocout').datagrid('unselectAll');
		},
		<?php foreach ($button as $item): ?>
		<?php if($item->button_way=='look'){ ?>			
		look : function () {
			var rows = $('#outdocout').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '编辑记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
   				if ($('#tabs').tabs('exists', '查看出库单')) {
					$('#tabs').tabs('select', '查看出库单');
				} else {
	 		      	$('#tabs').tabs('add', {
					title : '查看出库单',
					closable : true,
					href : '<?php echo $url?>out/docout/look_view/'+rows[0].docout_id,
					});
				}
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '编辑记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>		
		<?php if($item->button_way=='add'){ ?>					
		add : function () {
			if ($('#tabs').tabs('exists', '新增出库单')) {
				$('#tabs').tabs('select', '新增出库单');
			} else {
 		      	$('#tabs').tabs('add', {
				title : '新增出库单',
				closable : true,
				href : '<?php echo $url?>out/docout/add_view',
				});
			}
		},
		<?php }?>
		<?php if($item->button_way=='edit'){ ?>			
		edit : function () {
			var rows = $('#outdocout').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '编辑记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
				var status=rows[0].docout_status;
				if(status=='编辑'){
	   				if ($('#tabs').tabs('exists', '修改出库单')) {
						$('#tabs').tabs('select', '修改出库单');
					} else {
		 		      	$('#tabs').tabs('add', {
						title : '修改出库单',
						closable : true,
						href : '<?php echo $url?>out/docout/edit_view/'+rows[0].docout_id,
						});
					}
				}
				if(status=='审核'){
					$.messager.alert('警告操作！', '已经审核过了，不能修改！', 'warning');
				}
				if(status=='关闭'){
					$.messager.alert('警告操作！', '已经关闭，不能修改！', 'warning');
				}									
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '编辑记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>
		<?php if($item->button_way=='ok'){ ?>			
		ok : function () {
			var rows = $('#outdocout').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '审核记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
				var status=rows[0].docout_status;
				if(status=='编辑'){
					var data = {
							docout_id : rows[0].docout_id,
							docout_number : rows[0].docout_number,
							docout_get_number : rows[0].docout_get_number,
					};
										
					$.ajax({
						url : '<?php echo $url?>out/docout/docout_ok',
						type : 'post',
						data : data,
						beforeSend : function () {
							$.messager.progress({
								text : '正在提交中...',
							});
						},
						success : function (data, response, docout) {
							$.messager.progress('close');
							 var data = eval('(' + data + ')');     
//									console.log(data);
							if (data.success) {
								$('#outdocout').datagrid('reload');
								$.messager.alert('操作成功！', data.message, 'info').window({ width: 400 });					
							} else {
								$.messager.alert('操作失败！', data.message, 'warning');					
							}
						}
					});
				}
				if(status=='审核'){
					$.messager.alert('警告操作！', '已经审核过了，不能再审核！', 'warning');
				}
				if(status=='关闭'){
					$.messager.alert('警告操作！', '已经关闭过了，不能再审核！', 'warning');
				}									
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '审核记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>
		<?php if($item->button_way=='back'){ ?>			
		back : function () {
			var rows = $('#outdocout').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '后退记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
				var status=rows[0].docout_status;
				if(status=='编辑'){
					$.messager.alert('警告操作！', '编辑状态，不能再后退了！', 'warning');
				}
				if(status=='关闭'){
					$.messager.alert('警告操作！', '已经关闭过了，不能再后退！', 'warning');
				}						
				if(status=='审核'){

					var data = {
							docout_id : rows[0].docout_id,
					};
										
					$.ajax({
						url : '<?php echo $url?>out/docout/docout_back',
						type : 'post',
						data : data,
						beforeSend : function () {
							$.messager.progress({
								text : '正在提交中...',
							});
						},
						success : function (data, response, docout) {
							$.messager.progress('close');
							 var data = eval('(' + data + ')');     
//									console.log(data);
							if (data.success) {
								$('#outdocout').datagrid('reload');
								$.messager.alert('操作成功！', data.message, 'info');					
							} else {
								$.messager.alert('操作失败！', data.message, 'warning');					
							}
						}
					});
					
				}				
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '后退记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>	
		<?php if($item->button_way=='no'){ ?>			
		no : function () {
			var rows = $('#outdocout').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '关闭记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
				var status=rows[0].docout_status;
				if(status=='关闭'){
					$.messager.alert('警告操作！', '已经关闭过了，不能再关闭！', 'warning');
				}else{
					var data = {
							docout_id : rows[0].docout_id,
							status : status
					};
					$.ajax({
						url : '<?php echo $url?>out/docout/docout_no',
						type : 'post',
						data : data,
						beforeSend : function () {
							$.messager.progress({
								text : '正在提交中...',
							});
						},
						success : function (data, response, docout) {
							$.messager.progress('close');
							 var data = eval('(' + data + ')');     
//									console.log(data);
							if (data.success) {
								$('#outdocout').datagrid('reload');
								$.messager.alert('操作成功！', data.message, 'info');					
							} else {
								$.messager.alert('操作失败！', data.message, 'warning');					
							}
						}
					});					
				}						
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '关闭记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>
		<?php if($item->button_way=='print'){ ?>			
		print : function () {
			var rows = $('#outdocout').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '打印记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
				window.open("out/docout/docout_print/"+rows[0].docout_id);      
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '打印记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>												
	    <?php endforeach; ?>		
	};
	
});
function docoutSearch(){
	$('#outdocout').datagrid('load',{
		docout_number: $.trim($('input[name="docout_number"]').val()),
		docout_get_number: $.trim($('input[name="docout_get_number"]').val()),
		docout_date_from: $('input[name="docout_date_from"]').val(),
		docout_date_to: $('input[name="docout_date_to"]').val()
	});
}
</script>
<table id="outdocout"></table>

<div id="docout_tool" style="padding:5px;">
	<div style="margin-bottom:5px;">
	<?php foreach ($button as $item): ?>
    	<a href="#" class="easyui-linkbutton" iconCls="icon-<?=$item->button_icon?>" plain="true" onclick="docout_tool.<?=$item->button_way ?>()"><?php echo $item->button_name?></a>
    <?php endforeach; ?>
		<a href="#" class="easyui-linkbutton" iconCls="icon-reload" plain="true"  onclick="docout_tool.reload();">刷新</a>
		<a href="#" class="easyui-linkbutton" iconCls="icon-remove" plain="true" onclick="docout_tool.remove();">取消选择</a>		
	</div>
	<div style="padding:0 0 0 7px;color:#333;">
		出库单号：<input type="text" class="textbox" name="docout_number" style="width:110px">
		要货单号：<input type="text" class="textbox" name="docout_get_number" style="width:110px">
		　创建时间从：<input type="text" name="docout_date_from" class="easyui-datebox" editable="false" style="width:110px">
		到：<input type="text" name="docout_date_to" class="easyui-datebox" editable="false" style="width:110px">
		<a href="#" class="easyui-linkbutton" iconCls="icon-search" onclick="docoutSearch();">查询</a>
	</div>	
</div>

<form id="outdocout_look" style="margin:0;padding:3px;color:#333;">
	<table id="outdocout_lproperty" style="width:330px"></table>
</form>

<form id="outdocout_add" style="margin:0;padding:3px;color:#333;">
	<table id="outdocout_aproperty" style="width:330px"></table>
</form>


<form id="outdocout_edit" style="margin:0;padding:3px;color:#333;">
		<table id="outdocout_eproperty" style="width:330px"></table>
</form>

